summaryrefslogtreecommitdiff
path: root/Master/bin/x86_64-linux/texexec
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2005-12-28 00:09:08 +0000
committerKarl Berry <karl@freefriends.org>2005-12-28 00:09:08 +0000
commit63f6de2319e769e12b29379025de08e3395edb31 (patch)
treed033287cd4de6346c62690498de6602896ebc23c /Master/bin/x86_64-linux/texexec
parent30dd9f517c9c093ff3319061647a4555264f7914 (diff)
trunk
git-svn-id: svn://tug.org/texlive/trunk@10 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/bin/x86_64-linux/texexec')
-rwxr-xr-xMaster/bin/x86_64-linux/texexec24
1 files changed, 24 insertions, 0 deletions
diff --git a/Master/bin/x86_64-linux/texexec b/Master/bin/x86_64-linux/texexec
new file mode 100755
index 00000000000..529d2a8dc23
--- /dev/null
+++ b/Master/bin/x86_64-linux/texexec
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+test -f /bin/sh5 && test -z "$RUNNING_SH5" \
+ && { UNAMES=`uname -s`; test "x$UNAMES" = xULTRIX; } 2>/dev/null \
+ && { RUNNING_SH5=true; export RUNNING_SH5; exec /bin/sh5 $0 ${1+"$@"}; }
+unset RUNNING_SH5
+
+test -f /bin/bsh && test -z "$RUNNING_BSH" \
+ && { UNAMES=`uname -s`; test "x$UNAMES" = xAIX; } 2>/dev/null \
+ && { RUNNING_BSH=true; export RUNNING_BSH; exec /bin/bsh $0 ${1+"$@"}; }
+unset RUNNING_BSH
+
+export PATH
+
+# hack around a bug in zsh:
+test -n "${ZSH_VERSION+set}" && alias -g '${1+"$@"}'='"$@"'
+
+what=`echo $0 | sed 's@.*/@@'`
+
+p=`kpsewhich -format=texmfscripts $what.pl`
+{ test -n "$p" && test -f "$p"; } \
+ || { echo "\`$what.pl' not found."; exit 1; }
+
+perl "$p" ${1+"$@"}